Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class BootLogger

    java.lang.Object
      org.deegree.framework.util.BootLogger

    public class BootLogger

extends Object

The BootLogger is designed to be used internally by the framework manager and components at start-up time, i.e. when the main logging service has not yet been initialized.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe, last edited by $Author: mschneider $

Constructor Summary
`BootLogger()`

Method Summary
`static boolean` | `getDebug()`
`static void` | `log(String inMessage)` currently wraps around `System.out.println` to print out the passed in error message.
`static void` | `logDebug(String inMessage)` currently wraps around `System.out.println` to print out the passed in message if the debug flag is set to true.
`static void` | `logError(String inMessage, Throwable ex)` currently wraps around `System.err.println` to print out the passed in error message.
`static void` | `setDebug(boolean debug)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BootLogger

    public BootLogger()

Method Detail

### setDebug

    public static void setDebug(boolean debug)

  Parameters:
    `debug` - true if debugging.

### getDebug

    public static boolean getDebug()

  Returns:
    true if the level is debugging

### logDebug

    public static void logDebug(String inMessage)

  currently wraps around `System.out.println` to print out the passed in message if the debug flag is set to true.

  Parameters:
    `inMessage` - the message to the standard out

### logError

    public static void logError(String inMessage,
                                Throwable ex)

  currently wraps around `System.err.println` to print out the passed in error message.

  Parameters:
    `inMessage` - to output to error out
    `ex` - cause

### log

    public static void log(String inMessage)

  currently wraps around `System.out.println` to print out the passed in error message.

  Parameters:
    `inMessage` - to log to standard out

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org